Databases - Get Database
Gets a database in the migrate project.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Migrate/migrateProjects/{migrateProjectName}/databases/{databaseName}?api-version=2018-09-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
database
|
path | True |
string |
Unique name of a database in Azure migration hub. |
|
migrate
|
path | True |
string |
Name of the Azure Migrate project. |
|
resource
|
path | True |
string |
Name of the Azure Resource Group that migrate project is part of. |
|
subscription
|
path | True |
string |
Azure Subscription Id in which migrate project was created. |
|
api-version
|
query | True |
string |
Standard request header. Used by service to identify API version used by client. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Accept-Language |
string |
Standard request header. Used by service to respond to client in appropriate language. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Databases_Get
Sample request
GET https://management.azure.com/subscriptions/75dd7e42-4fd1-4512-af04-83ad9864335b/resourceGroups/myResourceGroup/providers/Microsoft.Migrate/migrateProjects/project01/databases/mydb?api-version=2018-09-01-preview
Sample response
{
"id": "/subscriptions/75dd7e42-4fd1-4512-af04-83ad9864335b/resourceGroups/myResourceGroup/providers/Microsoft.Migrate/MigrateProjects/project01/Databases/mydb",
"name": "mydb",
"type": "Microsoft.Migrate/MigrateProjects/Databases",
"properties": {
"assessmentData": [
{
"assessmentId": "myassessment",
"migrationBlockersCount": 0,
"breakingChangesCount": 0,
"isReadyForMigration": true,
"assessmentTargetType": "SQL",
"lastAssessedTime": "2019-05-04T06:46:40.4340421Z",
"compatibilityLevel": null,
"databaseSizeInMB": null,
"lastUpdatedTime": null,
"enqueueTime": "5/4/2019 6:46:37 AM",
"solutionName": "serversolution",
"instanceId": "abc",
"databaseName": "mydb",
"extendedInfo": null
}
],
"lastUpdatedTime": "2019-05-04T06:46:40.4340421Z"
}
}
Definitions
| Name | Description |
|---|---|
| Database |
Database REST resource. |
|
Database |
Assessment properties that can be shared by various publishers. |
|
Database |
Properties of the database resource. |
Database
Database REST resource.
| Name | Type | Description |
|---|---|---|
| id |
string |
Gets or sets the relative URL to get to this REST resource. |
| name |
string |
Gets or sets the name of this REST resource. |
| properties |
Gets or sets the properties of the database. |
|
| type |
string |
Gets the type of this REST resource. |
DatabaseAssessmentDetails
Assessment properties that can be shared by various publishers.
| Name | Type | Description |
|---|---|---|
| assessmentId |
string |
Gets or sets the database assessment scope/Id. |
| assessmentTargetType |
string |
Gets or sets the assessed target database type. |
| breakingChangesCount |
integer (int32) |
Gets or sets the number of breaking changes found. |
| compatibilityLevel |
string |
Gets or sets the compatibility level of the database. |
| databaseName |
string |
Gets or sets the database name. |
| databaseSizeInMB |
string |
Gets or sets the database size. |
| enqueueTime |
string |
Gets or sets the time the message was enqueued. |
| extendedInfo |
object |
Gets or sets the extended properties of the database. |
| instanceId |
string |
Gets or sets the database server instance Id. |
| isReadyForMigration |
boolean |
Gets or sets a value indicating whether the database is ready for migration. |
| lastAssessedTime |
string (date-time) |
Gets or sets the time when the database was last assessed. |
| lastUpdatedTime |
string (date-time) |
Gets or sets the time of the last modification of the database details. |
| migrationBlockersCount |
integer (int32) |
Gets or sets the number of blocking changes found. |
| solutionName |
string |
Gets or sets the name of the solution that sent the data. |
DatabaseProperties
Properties of the database resource.
| Name | Type | Description |
|---|---|---|
| assessmentData |
Gets or sets the assessment details of the database published by various sources. |
|
| lastUpdatedTime |
string (date-time) |
Gets or sets the time of the last modification of the database. |